Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wfs
Class TransactionHandler

    java.lang.Object
      org.deegree.ogcwebservices.wfs.TransactionHandler

     class TransactionHandler

extends Object

Handler for transaction requests to the `WFService`.

If the used backend does not support atomic transactions, it is possible that one part fails while another works well. Depending on definitions made in the OGC WFS 1.1.0 specification in this case it is possible that even if a sub part of the request fails no exception will be thrown. In this case the result objects contains informations on the parts of the request that worked and that did not.

Version:
  $Revision: 24604 $, $Date: 2010-05-27 11:59:30 +0200 (Do, 27. Mai 2010) $
Author:
  Markus Schneider , Anup Deshmukh , last edited by: $Author: aschmitz $

Constructor Summary
`TransactionHandler(WFService service, Transaction request)` Creates a new `TransactionHandler` instance.

Method Summary
`(package private) TransactionResponse` | `handleRequest()` Performs the associated transaction.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionHandler

    TransactionHandler(WFService service,
                       Transaction request)

  Creates a new `TransactionHandler` instance.

  Parameters:
    `service` -
    `request` -

Method Detail

### handleRequest

    TransactionResponse handleRequest()
                                throws OGCWebServiceException

  Performs the associated transaction.

  Returns:
    transaction response
  Throws:
    `OGCWebServiceException` - if an error occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org